1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-02-23 07:35:35 +02:00
Files
coreutils/tests/misc/tac-continue
Jim Meyering 68561594ca tests: use "Exit $fail", not (exit $fail); exit $fail
* tests/test-lib.sh (Exit): New function by Ralf Wildenhues in automake
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=20594c08f63
* tests/**: Convert all uses:

This restrictive change converted the vast majority:

  git grep -l '^(exit \$fail); exit \$fail$' \
    | xargs perl -pi -e 's/'^\(exit \$fail\); exit \$fail$/Exit \$fail/'

And this did the rest, plus a few undesirable ones, so I manually
backed out the changes to ChangeLog-* and build-aux/check.mk:

  git grep -l -E '\(exit [^)]+\); exit ' \
    | xargs perl -pi -e 's/\(exit (.+?)\); exit \1/Exit $1/'
2008-09-10 13:20:10 +02:00

76 lines
2.0 KiB
Bash
Executable File

#!/bin/sh
# Ensure that tac processes all command line arguments, even
# when it encounters an error with say the first one.
# With coreutils-5.2.1 and earlier, this test would fail.
# Copyright (C) 2004, 2006-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
if test "$VERBOSE" = yes; then
set -x
tac --version
fi
. $srcdir/test-lib.sh
# See if the envvar is defined.
if test x = "x$FULL_PARTITION_TMPDIR"; then
skip_test_ "FULL_PARTITION_TMPDIR not defined"
fi
if ! test -d "$FULL_PARTITION_TMPDIR"; then
echo "$0: $FULL_PARTITION_TMPDIR:" \
"\$FULL_PARTITION_TMPDIR does not specify a directory" 1>&2
Exit 1
fi
fp_tmp="$FULL_PARTITION_TMPDIR/tac-cont-$$"
cleanup_() { rm -f "$fp_tmp"; }
# Make sure we can create an empty file there (i.e. no shortage of inodes).
if ! touch $fp_tmp; then
echo "$0: $fp_tmp: cannot create empty file" 1>&2
Exit 1
fi
# Make sure that we fail when trying to create a file large enough
# to consume a non-inode block.
if seq 1000 > $fp_tmp 2>/dev/null; then
echo "$0: $FULL_PARTITION_TMPDIR: not a full partition" 1>&2
Exit 1
fi
seq 5 > in
fail=0
# Give tac a fifo command line argument.
# This makes it try to create a temporary file in $TMPDIR.
mkfifo fifo
seq 1000 > fifo &
TMPDIR=$FULL_PARTITION_TMPDIR tac fifo in >out 2>err && fail=1
cat <<\EOF > exp || fail=1
5
4
3
2
1
EOF
compare out exp || fail=1
Exit $fail